com.io7m.jregions.core.unparameterized.areas

## Class AreaYSplitL<T extends AreaLType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaYSplitL<T>

- Type Parameters:
    `T` - The precise type of area
  All Implemented Interfaces:
    AreaYSplitLType<T>

      @Generated(value={"Immutables.generator","AreaYSplitLType<T>"})
      public final class AreaYSplitL<T extends AreaLType>
      extends Object
      implements AreaYSplitLType<T>

  An area that has been split via the Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaYSplitL.Builder<T extends AreaLType>` Builds instances of type `AreaYSplitL`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends AreaLType> AreaYSplitL.Builder<T>` | `builder()` Creates a builder for `AreaYSplitL`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `AreaYSplitL` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `lower`, `upper`.
    `T` | `lower()`
    `static <T extends AreaLType> AreaYSplitL<T>` | `of(T lower, T upper)` Construct a new immutable `AreaYSplitL` instance.
    `String` | `toString()` Prints the immutable value `AreaYSplitL` with attribute values.
    `T` | `upper()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### lower

          public T lower()

      Specified by:
        `lower` in interface `AreaYSplitLType<T extends AreaLType>`
      Returns:
        The lower half

    - #### upper

          public T upper()

      Specified by:
        `upper` in interface `AreaYSplitLType<T extends AreaLType>`
      Returns:
        The upper half

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `AreaYSplitL` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `lower`, `upper`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `AreaYSplitL` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <T extends AreaLType> AreaYSplitL<T> of(T lower,
                                                                T upper)

      Construct a new immutable `AreaYSplitL` instance.
      Parameters:
        `lower` - The value for the `lower` attribute
        `upper` - The value for the `upper` attribute
      Returns:
        An immutable AreaYSplitL instance

    - #### builder

          public static <T extends AreaLType> AreaYSplitL.Builder<T> builder()

      Creates a builder for `AreaYSplitL`.
      Type Parameters:
        `T` - generic parameter T
      Returns:
        A new AreaYSplitL builder

Copyright © 2017 <code@io7m.com> http://io7m.com